Bug 993648 - RFE: GUI: "UNDO" button requested
RFE: GUI: "UNDO" button requested
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
qe-baseos-daemons
: FutureFeature, Reopened
Depends On:
Blocks: 980210
  Show dependency treegraph
 
Reported: 2013-08-06 06:59 EDT by Petr Sklenar
Modified: 2016-01-27 16:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 16:34:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-08-06 06:59:28 EDT
Description of problem:
"UNDO": missing "apply/commit"  button.
This is ok from the "dynamic" perspective, but it is really bad  for undoing changes!.
There must be either "save"/"commit" or have all  actions undoable and maybe displayable in summary

Version-Release number of selected component (if applicable):
firewalld-0.3.4-1.fc19.noarch

How reproducible:
its rfe

Steps to Reproduce:
1.RFE for UNDO button
2.
3.

Actual results:
you can change something but cannot undo changes.

Expected results:
UNDO button

Additional info:
Comment 3 Jiri Popelka 2013-08-29 10:51:36 EDT
Actually you *can* undo changes.
In runtime mode you can undo changes by reloading firewalld.
In persistent mode there's a little 'Load Zone/Service/ICMP Defaults' icon which resets the zone/service/icmp-type settings.

I know this is not exactly what undo should do but I think it's similar enough.
I dare to close this as wontfix then, please reopen if you think otherwise. Thanks.
Comment 4 Petr Sklenar 2013-08-30 03:15:10 EDT
Hello,
Reloading to default cleans all the unsaved changes. There were really more users which looked for something like 'UNDO'.
So please could you consider "UNDO" again or at least to add into some long-term TODO

Note You need to log in before you can comment on or make changes to this bug.